path: /build/build/signon-ui-net-libs-0.15.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-test" emerge net-libs/signon-ui -pv -t && \
    USE="-test" emerge -j ${JOBS} --nodeps net-libs/signon-ui
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/signon-ui && luet-portage --dir /pkgdir/signon-ui
    net-libs/signon-ui && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:a96b2e4b881098d206f694adc8a699c36bd36840f4a93bc94509dc7bcf973396
  package:
    name: signon-ui
    version: "0.15"
    category: net-libs
    use_flags:
    - -test
    requires:
    - name: signond
      version: '>=0'
      category: net-libs
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Online accounts signon UI
    uri:
    - https://gitlab.com/accounts-sso/signon-ui
    license: GPL-2 GPL-3
    buildtimestamp: 2023-11-22 15:56:48.652620176 +0000 UTC m=+103.007791755
    labels:
      BDEPEND: test? ( dev-qt/qttest:5 )
      DEPEND: dev-libs/glib:2 dev-qt/qtcore:5 dev-qt/qtdbus:5 dev-qt/qtdeclarative:5
        dev-qt/qtgui:5 dev-qt/qtnetwork:5[ssl] dev-qt/qtwebengine:5 dev-qt/qtwidgets:5
        net-libs/accounts-qt net-libs/signond net-libs/libproxy x11-libs/libnotify
      IUSE: test
      RDEPEND: dev-libs/glib:2 dev-qt/qtcore:5 dev-qt/qtdbus:5 dev-qt/qtdeclarative:5
        dev-qt/qtgui:5 dev-qt/qtnetwork:5[ssl] dev-qt/qtwebengine:5 dev-qt/qtwidgets:5
        net-libs/accounts-qt net-libs/signond net-libs/libproxy x11-libs/libnotify
        dev-qt/qtwebchannel:5
      emerge.packages: net-libs/signon-ui
      kit: net-kit
      original.package.name: net-libs/signon-ui
      original.package.slot: "0"
      original.package.version: 0.15_p20171022
    treedir: /build/packages
  package_dir: /pkgdir/signon-ui
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 59aabafe5fb535726ad1ef538ebf055fef78c7efefbc41c4125c2ba56c12a1c5
compressiontype: zstd
files:
- usr/bin/signon-ui
- usr/share/applications/signon-ui.desktop
- usr/share/dbus-1/services/com.canonical.indicators.webcredentials.service
- usr/share/dbus-1/services/com.nokia.singlesignonui.service
- var/db/pkg/net-libs/signon-ui-0.15_p20171022/BUILD_TIME
- var/db/pkg/net-libs/signon-ui-0.15_p20171022/CATEGORY
- var/db/pkg/net-libs/signon-ui-0.15_p20171022/CBUILD
- var/db/pkg/net-libs/signon-ui-0.15_p20171022/CFLAGS
- var/db/pkg/net-libs/signon-ui-0.15_p20171022/CHOST
- var/db/pkg/net-libs/signon-ui-0.15_p20171022/CONTENTS
- var/db/pkg/net-libs/signon-ui-0.15_p20171022/COUNTER
- var/db/pkg/net-libs/signon-ui-0.15_p20171022/CXXFLAGS
- var/db/pkg/net-libs/signon-ui-0.15_p20171022/DEFINED_PHASES
- var/db/pkg/net-libs/signon-ui-0.15_p20171022/DEPEND
- var/db/pkg/net-libs/signon-ui-0.15_p20171022/DESCRIPTION
- var/db/pkg/net-libs/signon-ui-0.15_p20171022/EAPI
- var/db/pkg/net-libs/signon-ui-0.15_p20171022/FEATURES
- var/db/pkg/net-libs/signon-ui-0.15_p20171022/HOMEPAGE
- var/db/pkg/net-libs/signon-ui-0.15_p20171022/INHERITED
- var/db/pkg/net-libs/signon-ui-0.15_p20171022/IUSE
- var/db/pkg/net-libs/signon-ui-0.15_p20171022/IUSE_EFFECTIVE
- var/db/pkg/net-libs/signon-ui-0.15_p20171022/KEYWORDS
- var/db/pkg/net-libs/signon-ui-0.15_p20171022/LDFLAGS
- var/db/pkg/net-libs/signon-ui-0.15_p20171022/LICENSE
- var/db/pkg/net-libs/signon-ui-0.15_p20171022/NEEDED
- var/db/pkg/net-libs/signon-ui-0.15_p20171022/PF
- var/db/pkg/net-libs/signon-ui-0.15_p20171022/RDEPEND
- var/db/pkg/net-libs/signon-ui-0.15_p20171022/REQUIRES
- var/db/pkg/net-libs/signon-ui-0.15_p20171022/RESTRICT
- var/db/pkg/net-libs/signon-ui-0.15_p20171022/SIZE
- var/db/pkg/net-libs/signon-ui-0.15_p20171022/SLOT
- var/db/pkg/net-libs/signon-ui-0.15_p20171022/USE
- var/db/pkg/net-libs/signon-ui-0.15_p20171022/environment.bz2
- var/db/pkg/net-libs/signon-ui-0.15_p20171022/repository
- var/db/pkg/net-libs/signon-ui-0.15_p20171022/signon-ui-0.15_p20171022.ebuild
package_cacheimage: ""
runtime:
  name: signon-ui
  version: "0.15"
  category: net-libs
  use_flags:
  - -test
  requires:
  - name: qtwebengine
    version: '>=0'
    category: dev-qt-5
  - name: accounts-qt
    version: '>=0'
    category: net-libs
  - name: signond
    version: '>=0'
    category: net-libs
  - name: libnotify
    version: '>=0'
    category: x11-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Online accounts signon UI
  uri:
  - https://gitlab.com/accounts-sso/signon-ui
  license: GPL-2 GPL-3
  labels:
    BDEPEND: test? ( dev-qt/qttest:5 )
    DEPEND: dev-libs/glib:2 dev-qt/qtcore:5 dev-qt/qtdbus:5 dev-qt/qtdeclarative:5
      dev-qt/qtgui:5 dev-qt/qtnetwork:5[ssl] dev-qt/qtwebengine:5 dev-qt/qtwidgets:5
      net-libs/accounts-qt net-libs/signond net-libs/libproxy x11-libs/libnotify
    IUSE: test
    RDEPEND: dev-libs/glib:2 dev-qt/qtcore:5 dev-qt/qtdbus:5 dev-qt/qtdeclarative:5
      dev-qt/qtgui:5 dev-qt/qtnetwork:5[ssl] dev-qt/qtwebengine:5 dev-qt/qtwidgets:5
      net-libs/accounts-qt net-libs/signond net-libs/libproxy x11-libs/libnotify dev-qt/qtwebchannel:5
    emerge.packages: net-libs/signon-ui
    kit: net-kit
    original.package.name: net-libs/signon-ui
    original.package.slot: "0"
    original.package.version: 0.15_p20171022
